Previous 1 4 5 6 7 8 Next 486 Replies Latest reply: Mar 17, 2015 9:54 AM by APPLE ACADEMICS Go to original post Branched to a new discussion.
  • Neko81 Level 1 Level 1 (0 points)

    honestly, whatsapps dev team should maintain the old version like other applications, like my case, i paid for the whatsapps now i can't used, this is not proffesional at all..i'm not sure whether is difficult to maintain the old version but this is workable in some FREE apps! Above article just make me feel they are not proffesional at all.

  • musicgal1989 Level 1 Level 1 (0 points)

    i have the same problem..before Christmas whatsapp is working just fne but then i suddenly received messages from server it says to update to the new version of whatsapp, i just ignore the message since i am using iphone 3g and it can only upgrade to ios 4.2.1 and not to 4.3, but just this morning whatsapp completely stop working  

  • Cedrus Libani Level 1 Level 1 (0 points)

    It seems costumers have no rights regarding new technology... we are users upon their rules and not owner of our products...its just the begining!!!

    The worst thing in that case, that there is many who dont see big changes between Iphone 3g and 5 (according to our need) so after a certain time ( 4 years, later will be 6 months...) they stop to provide the serivces (whatsapp, Facebook, Skype... maybe even the calling service)... thus obliging us to throu our product...

    Thank you

    An Islave!!

  • SassyZam Level 1 Level 1 (0 points)

    This is what I got from Whatsapp today after I sent them a message as to why I can no longer use their app on my Iphone 3g.

     

    Hi,

    Thanks for your message.

    In order to connect to WhatsApp, or activate your number, you will need the latest version of WhatsApp Messenger - v2.8.7 - available from the App Store on your iPhone. Please note that iPod and iPad are not supported devices.

    The latest version of WhatsApp for iPhone requires iOS 4.3 or later. Regretfully, Apple does not allow new app updates to be compatible with both iOS 6 and older versions of iOS, effectively ending support for the iPhone 3G. Because of Apple's decision to stop supporting these devices, we can no longer provide new app updates for iPhone 3G users.

    If you have an iPhone 3GS or newer device, please update to the latest version of iOS. Instructions for updating can be found at this Apple Support page: http://support.apple.com/kb/HT4972

    WhatsApp is also supported on Android, Windows Phone, BlackBerry, and select Nokia devices. Find out more athttp://www.whatsapp.com/

  • DeviousMrBlonde Level 1 Level 1 (0 points)

    There is no reason the old version of the app shouldn't continue working with the iPhone 3G. I can understand that they are no longer developing new versions for 3G, but as far as I can understand, the old app is actively being blocked in order to force updates, and that is not Apple's decision, WhatsApp are responsible. The underlying protocol driving WhatsApp hasn't changed so the old app on the 3G should continue working without problem. I cannot see or understand the logic of this.

  • wesellforyou Level 1 Level 1 (0 points)

    is not true !!! whatsapp answer to my question sayng that it's because of apple that doesn't support anymore iphone 3g with ios 4.3 that my whatsapp doesn't wok anymore!!! so itìs apèpèle that want to sell new devices... and let go to the **** iphone3g... :-( my iphone!!!

     

    here on whatsapp website:

    http://blog.whatsapp.com/index.php/2012/12/iphone3g/

  • SassyZam Level 1 Level 1 (0 points)

    This is the message I got from Whatsapp

     

    In order to connect to WhatsApp, or activate your number, you will need the latest version of WhatsApp Messenger - v2.8.7 - available from the App Store on your iPhone. Please note that iPod and iPad are not supported devices.

    The latest version of WhatsApp for iPhone requires iOS 4.3 or later. Regretfully, Apple does not allow new app updates to be compatible with both iOS 6 and older versions of iOS, effectively ending support for the iPhone 3G. Because of Apple's decision to stop supporting these devices, we can no longer provide new app updates for iPhone 3G users.

    If you have an iPhone 3GS or newer device, please update to the latest version of iOS. Instructions for updating can be found at this Apple Support page: http://support.apple.com/kb/HT4972

  • shereenschubert Level 1 Level 1 (0 points)

    yeah this not fair at all!!!!... We cant even update new version & just bcoz of that apple or whatsapp or who ever problem is it.. is not allowing to do so... Apple u should really reconsider bout this sutuation, Not everyone is rich in this world to hv latest phone!! so what we cant enjoy the latest version but Apple should let the old version goes on!!! Honestly i dont hv any problem with the new version... I hope Apple will take this seriously!!

     

    And yeah dont be suprise if cmers will change to android!!!

  • KiltedTim Level 8 Level 8 (43,520 points)

    You just don't get it, do you... IT ISN"T UP TO APPLE. The developers chose to stop supporting iOS 4.2.

  • Julio AR Level 1 Level 1 (0 points)

    "It’s because Apple has stopped supporting old iOS versions and old iPhones in their most recent version 4.5 of Xcode, which is the tool (the only tool) that engineers use to make iPhone apps."

     

    extracted from: http://blog.whatsapp.com/index.php/2012/12/iphone3g/

     

    Version 4.5 of Xcode is the tool that developers use to build an app like whatsapp and this new version of the tool doesn't support iOS4.2 anymore...

     

    It was not the developers' decision...

  • ultraprime Level 1 Level 1 (0 points)

    What is also very annoying: I now have 16 new messages on my phone, but can not read them, because WhatsApp is blocked in the verification cycle.... I can not send my contacts a message saying I am discontinued by WhatsApp or change my status. Very unproffesional for such a populair big App maker.

     

    A new installation of the old version will not work, since you have to do a verification pass with your phonenumber, then it sees the old version and will not give you a 3 digit code to continue.

     

    I stand by my statement that if WhatsApp wants, they can easily keep it working on iPhone 3G, just do nothing with that version, let us use it 'asis'

    Send the 3 digit code and it works again.

  • Cedrus Libani Level 1 Level 1 (0 points)

    Are u an apple employe? Lets assume not, maybe an appleholic

    Without entering in the technical aspect, and all the blabla...

    Please note that we are buying products/services from apple stores, which make apple responsble of these products.

    As we are apple's clients logicaly Apple should be on our side even if the source of the problem is the developers.

  • Allan Eckert Level 8 Level 8 (46,735 points)

    Just because Apple has updated Xcode, there is no reason if the developer really wanted to that they can't keep a copy of the older version of Xcode just to support it. Apple didn't force them to upgrade to the newer version. They decided to follow Apple and drop support for iOS4.2.

     

    Having said that they like Apple figure that there was a sufficient market with iOS4.2 to warrant keeping two sets of developmental tools for it.


    As I see this a purely marketing decision.

     

    Allan

  • DeviousMrBlonde Level 1 Level 1 (0 points)

    To be clear. There are two issues here. Support for iOS 4.2 and support for the older version of WhatsApp which will work on the 3G.

     

    iOS 4.2: The developers cannot support this anymore. This is due to xcode 4.5 which will not build armv6 executables - which the 3G needs. That's the price of progress, nothing the devs can do here.

     

    older version of WhatsApp (which works on the 3G): stopping support for the old version of the app IS a decision of the developers and has nothing to do with Apple. The old app should still be able to talk across the WhatsApp network using their protocol but they have decided to block access for this old version of the app. Here is where the problem is. To block the 3G version of the app IS a decision of WhatsApp. There may be a valid reason for this, such as insecurity in the protocol WhatsApp uses but they are not saying so. Incorrectly blaming Apple and simply switching access off is a shady move, especially for a paid app.

  • AKRBTN Level 4 Level 4 (1,255 points)

    Hmmm....customers who are in this situation precisely because they don't want to upgrade from a nearly 5-year-old device are all going to "change to Android"?? 

     

    I am on Windows XP - I can't run Photostream.  That's the way of the tech world.  Moaning about it isn't going to change it.

Previous 1 4 5 6 7 8 Next